## org.apache.mahout.vectorizer.collocations.llr
Enum CollocReducer.Skipped

    java.lang.Object
      java.lang.Enum<CollocReducer.Skipped>
          org.apache.mahout.vectorizer.collocations.llr.CollocReducer.Skipped

All Implemented Interfaces:
  Serializable, Comparable<CollocReducer.Skipped>

Enclosing class:
  CollocReducer

    public static enum CollocReducer.Skipped

extends Enum<CollocReducer.Skipped>

Enum Constant Summary
`LESS_THAN_MIN_SUPPORT`
`MALFORMED_KEY_TUPLE`
`MALFORMED_TUPLE`
`MALFORMED_TYPES`
`MALFORMED_UNIGRAM`

Method Summary
`static CollocReducer.Skipped` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CollocReducer.Skipped[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LESS_THAN_MIN_SUPPORT

    public static final CollocReducer.Skipped LESS_THAN_MIN_SUPPORT

### MALFORMED_KEY_TUPLE

    public static final CollocReducer.Skipped MALFORMED_KEY_TUPLE

### MALFORMED_TUPLE

    public static final CollocReducer.Skipped MALFORMED_TUPLE

### MALFORMED_TYPES

    public static final CollocReducer.Skipped MALFORMED_TYPES

### MALFORMED_UNIGRAM

    public static final CollocReducer.Skipped MALFORMED_UNIGRAM

Method Detail

### values

    public static CollocReducer.Skipped[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CollocReducer.Skipped c : CollocReducer.Skipped.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CollocReducer.Skipped valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.